DH_INSTALLWM(1)

NOM
dh_installwm - Inscrire un gestionnaire de fenêtres (window manager)

SYNOPSIS
dh_installwm [options_de_debhelper] [-n] [--priority=n] [gestionnaire_de_fenêtres ...]

DESCRIPTION
dh_installwm est le programme de la suite debhelper chargé de produire les lignes de code pour les fichiers de maintenance postinst et prerm permettant d'inscrire un gestionnaire de fenêtres avec update-alternatives(8). La page de manuel du gestionnaire de fenêtres (window manager) est également inscrite en tant que lien symbolique esclave (à partir de la version 6) si elle est trouvée sous usr/share/man/man1/ dans le répertoire de construction du paquet.

FICHIERS

debian/paquet.wm
    Énumère les gestionnaires de fenêtres à inscrire.

OPTIONS

--priority=n
    Fixe la priorité du gestionnaire de fenêtres. La valeur par défaut est de 20, ce qui est trop peu pour la plupart des gestionnaires de fenêtres. Voir la Charte Debian sur la méthode de détermination de la valeur adéquate.

-n, --no-scripts
    Empêche la modification des scripts de maintenance postinst et prerm. Utiliser ce paramètre revient à ne rien faire.

gestionnaire_de_fenêtres ...
    Gestionnaires de fenêtres à inscrire.

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme. Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».